{% extends "admin/base_site.html" %}
{% load i18n admin_static admin_list %}
{% load url from future %}
{% load admin_urls %}

{% block extrahead %}{{ block.super }}
    {% url 'admin:jsi18n' as jsi18nurl %}
    <script type="text/javascript" src="{{ jsi18nurl|default:'../../jsi18n/' }}"></script>
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/changelists.css' %}"/>
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/forms.css' %}"/>
    <script type="text/javascript" src="{% static 'custom/js/Pagos/ventana_popup.js' %}"></script>
{% endblock %}

{% block bodyclass %}change-list{% endblock %}
{% block breadcrumbs %}
    <div class="breadcrumbs">
        <a href="../../../../../">
            {% trans "Inicio" %} &rsaquo;
        </a>
        <a href="../../">
            {% trans "Matrícula de Cursos UDL" %} &rsaquo;
        </a>
        <a href="../../../periodo/{{ matriculado.Periodo.id }}/">
            {% trans "Trámites" %} {{ matriculado.Periodo }} &rsaquo;

        </a>
        {{ matriculado.Alumno|escape }}
    </div>
{% endblock %}

{% block title %} {% trans 'Matrícula de Cursos UDL' %} {% endblock %}

{% block coltype %}flex{% endblock %}

{% block content %}

    <fieldset class="module aligned">
        <h2>Datos del Alumno Matriculado</h2>
        <div class="form-row">
            <div class="field-box">
                <label class="required">Alumno:</label>
                {{ matriculado.Alumno|escape }}
            </div>
            <div class="field-box">
                <label class="required inline">Matrícula:</label>
                {{ matriculado.Periodo }}
            </div>
            <div class="field-box">
                <label class="required inline">Carrera:</label>
                {{ matriculado.Alumno.Carrera|escape }}
            </div>
        </div>
        <div class="form-row">
            <div class="field-box">
                <label class="required">Categoría:</label>
                {{ matriculado.Categoria }}
            </div>
            <div class="field-box">
                <label class="required">Estado:</label>
                {{ matriculado.Estado }}
            </div>
        </div>
    </fieldset>

    <div id="content-main">
        <h2>Trámites Documentarios del Alumno Matriculado</h2>

        <div class="module filtered" id="changelist">
            <div id="toolbar">
                <form id="changelist-search" action="" method="get">
                    <div><!-- DIV needed for valid HTML -->
                        <label for="searchbar"><img src="{% static 'admin/img/icon_searchbox.png' %}"
                                                    alt="Search"/></label>
                        <input type="text" size="40" name="q" value="{{ query|escape }}" id="searchbar"/>
                        {% if query1 %}
                            <input type="hidden" name="p" value="{{ query1|escape }}"/>
                        {% endif %}
                        <input type="submit" value="{% trans 'Search' %}"/>
                    </div>
                </form>
            </div>
            <script type="text/javascript">document.getElementById("searchbar").focus();</script>


            {% block filters %}
                <div id="changelist-filter">
                    <h2>{% trans 'Filter' %}</h2>
                    <h3> {% trans 'Por Semestres' %}</h3>
                    <ul>
                        <li {% if query1 and query1 == "-1" %}class="selected"{% endif %}>
                            <a href="?p=-1">Todos/as</a>

                        </li>
                        {% for periodo in periodos %}
                            <li {% ifequal query1 periodo.id|escape %} class="selected" {% endifequal %}>
                                <a href="?{% if query %}q={{ query }}&{% endif %}p={{ periodo.id }}">{{ periodo }}</a>

                            </li>
                        {% endfor %}
                    </ul>
                </div>
            {% endblock %}
            {% block result_list %}
                {% if query %}
                    <h2>{% trans 'Resultados para' %} "{{ query|escape }}":</h2>
                {% endif %}

                {% if documentos %}
                    <div class='results'>
                        <table id='result_list'>
                            <THEAD>
                            <TR>
                                <TH class='action-checkbox-column'>&rsaquo;</TH>
                                <TH>
                                    <div class='text'><span>{% trans 'Nro Documento' %}</span></div>
                                </TH>
                                <TH>
                                    <div class='text'><span>{% trans 'Código' %}</span></div>
                                </TH>
                                <TH>
                                    <div class='text'><span>{% trans 'Tipo Documento' %}</span></div>
                                </TH>
                                <TH>
                                    <div class='text'><span>{% trans 'Asunto' %}</span></div>
                                </TH>

                                <TH>
                                    <div class='text'><span>{% trans 'Fecha Registro' %}</span></div>
                                </TH>

                                <TH>
                                    <div class='text'><span>{% trans 'Terminado' %}</span></div>
                                </TH>

                                {% if perms.Tramitedocumento.change_documento %}
                                    <TH>
                                        <div class='text'><span>{% trans 'Editar' %}</span></div>
                                    </TH>
                                {% endif %}
                            </TR>
                            </THEAD>
                            <TBODY>
                            {% for documento in documentos %}
                                <TR class="{% cycle 'row1' 'row2' %}">
                                    <TD>&rsaquo;</TD>
                                    <TD><a href="../detalle/{{ documento.id }}/"
                                           onclick="return abrir_popup('../detalle/{{ documento.id }}/');">{{ documento.NroDocumento|escape }}</a>
                                    </TD>
                                    <TD>{{ documento.Codigo|escape }}</TD>
                                    <TD>{{ documento.TipoDocumento|escape }}</TD>
                                    <TD>{{ documento.Asunto|escape }}</TD>
                                    <TD>{{ documento.FechaIngreso|escape }}</TD>
                                    <TD>
                                        {% if documento.Atendido %}
                                            <img alt="1" src="{% static 'admin/img/icon-yes.gif' %}"/>
                                        {% else %}
                                            <img alt="0" src="{% static 'admin/img/icon-no.gif' %}"/>
                                        {% endif %}
                                    </TD>


                                    {% if perms.Tramitedocumento.change_documento %}
                                        <TD><a class="changelink"
                                               href="../../../../documento/{{ documento.id|escape }}/"></a>
                                        </TD>
                                    {% endif %}

                                </TR>
                            {% endfor %}
                            </TBODY>
                        </table>
                    </div>
                {% else %}
                    <p>{% trans 'No se encontraron coincidencias' %}</p>
                {% endif %}
            {% endblock %}
        </div>
    </div>
{% endblock %}